JapaneseKatakanaUppercaseFilter (Lucene 10.5.0 kuromoji API)
Description: declaration: package: org.apache.lucene.analysis.ja, class: JapaneseKatakanaUppercaseFilter

Package org.apache.lucene.analysis.ja

# Class JapaneseKatakanaUppercaseFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.ja.JapaneseKatakanaUppercaseFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public final class JapaneseKatakanaUppercaseFilter extends TokenFilter
A `TokenFilter` that normalizes small letters (捨て仮名) in katakana into normal letters. For instance, "ストップウォッチ" will be translated to "ストツプウオツチ".

This filter is useful if you want to search against old style Japanese text such as patents, legal, contract policies, etc.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JapaneseKatakanaUppercaseFilter(TokenStream input)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `incrementToken()`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, end, reset, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JapaneseKatakanaUppercaseFilter

    public JapaneseKatakanaUppercaseFilter(TokenStream input)

- ## Method Details

  - ### incrementToken

    public boolean incrementToken() throws IOException
    Specified by:
      `incrementToken` in class `TokenStream`
    Throws:
      `IOException`